<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suif1.texi on 28 April 1999 -->

<TITLE>The SUIF Version 1 Library - Label Symbols</TITLE>
<link href="suif1_55.html" rel=Next>
<link href="suif1_53.html" rel=Previous>
<link href="suif1_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="suif1_1.html">first</A>, <A HREF="suif1_53.html">previous</A>, <A HREF="suif1_55.html">next</A>, <A HREF="suif1_113.html">last</A> section, <A HREF="suif1_toc.html">table of contents</A>.
<P><HR><P>


<H2><A NAME="SEC54" HREF="suif1_toc.html#TOC54">Label Symbols</A></H2>
<P>
<A NAME="IDX367"></A>
<A NAME="IDX368"></A>

</P>
<P>
<A NAME="IDX369"></A>
The <CODE>label_sym</CODE> class represents label symbols.  Labels are used
within procedures to specify targets of branch and jump instructions.
They may not be entered in global or file symbol tables.  The position
of a label is usually indicated by a label instruction (see section <A HREF="suif1_38.html#SEC38">Label Instructions</A>), but for labels associated with high-level AST nodes, the
label positions may be implicit.  The <CODE>label_sym</CODE> class contains no
extra fields beyond those in the base <CODE>sym_node</CODE> class.

</P>

<P><HR><P>
<p>Go to the <A HREF="suif1_1.html">first</A>, <A HREF="suif1_53.html">previous</A>, <A HREF="suif1_55.html">next</A>, <A HREF="suif1_113.html">last</A> section, <A HREF="suif1_toc.html">table of contents</A>.
</BODY>
</HTML>
